commit d531fe59b2ce7b90d391da451ea4f1074b6cca4a
parent fbcad8e5a165964a5c1ecfdc5775d46fcc7e101f
Author: ThomasV <thomasv@electrum.org>
Date: Fri, 25 Aug 2017 16:52:13 +0200
update make_packages script for android
Diffstat:
2 files changed, 17 insertions(+), 61 deletions(-)
diff --git a/contrib/make_packages b/contrib/make_packages
@@ -1,62 +1,17 @@
-#!/usr/bin/python2
-
-import sys, re, shutil, os, hashlib
-import imp
-import getpass
-
-if __name__ == '__main__':
-
- d = os.path.abspath(os.path.join(os.path.dirname(os.path.realpath(__file__)), os.pardir))
- os.chdir(d)
- v = imp.load_source('version', 'lib/version.py')
- version = v.ELECTRUM_VERSION
- print "version", version
-
- # copy dependencies into 'packages' directory
- deps = [
- 'pyaes',
- 'ecdsa',
- 'pbkdf2',
- 'requests', # note: requests-2.5.1 is needed to build with pyinstaller
- 'qrcode',
- 'google/protobuf',
- 'dns',
- 'six',
- 'jsonrpclib',
- 'socks',
- ]
- for module in deps:
- f, pathname, descr = imp.find_module(module)
- target = 'packages/' + module + descr[0]
- if os.path.exists(target):
- continue
- d = os.path.dirname(target)
- if d and not (os.path.exists(d)):
- os.makedirs(d)
- if descr[0]:
- shutil.copy(pathname, target)
- else:
- shutil.copytree(pathname, target, ignore=shutil.ignore_patterns('*.pyc'))
-
- # fix google/__init__.py needed by pyinstaller
- n = 'packages/google/__init__.py'
- if not os.path.exists(n):
- os.system("echo \# do not remove>%s"%n)
-
- # patch requests and add cacert.pem
- import requests
- crt = requests.certs.where()
- n = 'packages/requests/certs.py'
- with open(n, 'r') as f:
- s = f.read()
- s = s.replace("'%s'"%crt, "os.path.join(os.path.dirname(__file__), 'cacert.pem')")
- with open(n, 'w') as f:
- f.write(s)
- shutil.copy(crt, 'packages/requests/cacert.pem')
-
- os.system("pyrcc4 icons.qrc -o gui/qt/icons_rc.py")
- os.system("python setup.py sdist --format=zip,gztar")
-
- print "Packages are ready in dist"
-
+#!/bin/bash
+
+
+whereis pip3
+if [ $? -ne 0 ] ; then echo "Install pip3" ; exit ; fi
+
+#Install pure python modules in electrum directory
+pip3 install pyaes -t ./packages
+pip3 install ecdsa -t ./packages
+pip3 install pbkdf2 -t ./packages
+pip3 install requests -t ./packages
+pip3 install qrcode -t ./packages
+pip3 install protobuf -t ./packages
+pip3 install dnspython -t ./packages
+pip3 install jsonrpclib-pelix -t ./packages
+pip3 install PySocks -t ./packages
diff --git a/electrum b/electrum
@@ -90,6 +90,7 @@ if is_local or is_android:
import imp
imp.load_module('electrum', *imp.find_module('lib'))
imp.load_module('electrum_gui', *imp.find_module('gui'))
+ imp.load_module('electrum_plugins', *imp.find_module('plugins'))
from electrum import bitcoin, network